unit fmain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, DateTimePicker, Forms, Controls, Graphics,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, comobj;

type

  { TfrmMain }

  TfrmMain = class(TForm)
    btnDeleteAllApptsInFolder: TButton;
    btnReadOutlookApptItems: TButton;
    btnShowAllApptsOfCalendarname: TButton;
    Button2: TButton;
    btnNewAppt: TButton;
    cbReminderSet: TCheckBox;
    eCategories: TEdit;
    eLocation: TEdit;
    eStartTime: TDateTimePicker;
    eEndOfAppt: TDateTimePicker;
    eCalendarName: TEdit;
    eBody: TEdit;
    eDuration: TEdit;
    eSubject: TEdit;
    Label1: TLabel;
    Label10: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Memo1: TMemo;
    PageControl1: TPageControl;
    Panel1: TPanel;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure btnDeleteAllApptsInFolderClick(Sender: TObject);
    procedure btnNewApptClick(Sender: TObject);
    procedure btnReadOutlookApptItemsClick(Sender: TObject);
    procedure btnShowAllApptsOfCalendarnameClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure eCategoriesChange(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses
  uoutlook;

{$R *.lfm}

{ TfrmMain }

procedure TfrmMain.btnReadOutlookApptItemsClick(Sender: TObject);
begin
  memo1.lines.clear;
  memo1.Lines.text:= OL_TestReadAllAppointmentItems;
end;

procedure TfrmMain.btnShowAllApptsOfCalendarnameClick(Sender: TObject);
begin
  memo1.lines.clear;
  PageControl1.ActivePage:=tabsheet1;
  memo1.Lines.text:= OL_TestReadAllAppointmentItems(eCalendarName.Text);
end;

procedure TfrmMain.btnNewApptClick(Sender: TObject);
var
  rAppt:TOLAppointment;
begin
  OL_FillStandardApptRecord(rAppt);

  with rAppt do begin
    calendername:=eCalendarName.Text;
    subject:=eSubject.Text;
    body:=eBody.Text+ ' ' + DateTimeToStr(eStartTime.DateTime);
    start:=eStartTime.DateTime;                    //Start des termins
    endofappt:=eEndOfAppt.DateTime;                //Ende des termins
    duration:=strToInt(eDuration.Text);
    //RequiredAttendees = "Name"
    //ResponseRequested = True
    //MeetingStatus = olMeeting
    ReminderSet:=cbReminderSet.Checked;
    //ReminderMinutesBeforeStart:=0;
    Location:=eLocation.Text;
    Categories:=eCategories.Text;
    recurrency_RecurrenceType:=1;     //weekly
    recurrency_duration:=90;
    recurrency_Ocurrencies:=2;           //Anzahl der Wiederholungen
    recurrency_PatternStartDate:=eStartTime.DateTime;
    recurrency_PatternEndDate:=eEndOfAppt.DateTime;
    ////recurrency_Interval = 3   'alle x Intervalle -- etwa alle drei Wochen als intervall
    UserProperties_MySource:='**MySource**';
    UserProperties_MyID:='**4711**'
  end;

  OL_CreateNewAppointment(rAppt);
end;

procedure TfrmMain.btnDeleteAllApptsInFolderClick(Sender: TObject);
begin
  memo1.lines.clear;
  PageControl1.ActivePage:=tabsheet1;
  memo1.Lines.text:= OL_DeleteAllAppsInFolder(eCalendarName.Text);

end;

procedure TfrmMain.Button2Click(Sender: TObject);
begin
  OL_GetMyRootFolder(eCalendarName.Text);
end;

procedure TfrmMain.eCategoriesChange(Sender: TObject);
begin

end;



end.
